Subject: Compost suggestions

From: Chew Kheng Chuan <[email-masked]>
Date: Fri, 03 Apr 98 14:13:00 -0800

We are an organic vegetable farm in the Cameron Highlands of Malaysia. 
Would like to seek some suggestions and advice on our Compost formula. We 
could get rice husks, local pea in saw dust compost, chicken dung and 
added yeast and enzyme. At present we are trying a 800:400:75:5 
(respectively) bags ratio mix and producing about 15 tonnes of dry compost 
prep.